### Method

# Snapd Client alias_finish

since: 1.25

#### Declaration [src]

    gboolean
    snapd_client_alias_finish (
      SnapdClient* client,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete request started with snapd_client_alias_async(). See `snapd_client_alias_sync()` for more information.

Available since: 1.25

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.